Browse Source

starting rocky development patch

Change-Id: I1c33766d32eff7e8dc1b3e653b94907d39fe9eb7
changes/59/588559/1
Samuel Cassiba 9 months ago
parent
commit
97d97f59b2
3 changed files with 33 additions and 6 deletions
  1. 2
    0
      .rubocop.yml
  2. 25
    0
      .rubocop_todo.yml
  3. 6
    6
      metadata.rb

+ 2
- 0
.rubocop.yml View File

@@ -1,3 +1,5 @@
1
+inherit_from: .rubocop_todo.yml
2
+
1 3
 AllCops:
2 4
   Include:
3 5
     - metadata.rb

+ 25
- 0
.rubocop_todo.yml View File

@@ -0,0 +1,25 @@
1
+# This configuration was generated by
2
+# `rubocop --auto-gen-config`
3
+# on 2018-08-03 05:26:02 -0700 using RuboCop version 0.55.0.
4
+# The point is for the user to remove these configuration records
5
+# one by one as the offenses are removed from the code base.
6
+# Note that changes in the inspected code, or installation of new
7
+# versions of RuboCop, may require this file to be generated again.
8
+
9
+# Offense count: 1
10
+# Cop supports --auto-correct.
11
+Lint/RedundantWithIndex:
12
+  Exclude:
13
+    - 'recipes/setup.rb'
14
+
15
+# Offense count: 1
16
+# Cop supports --auto-correct.
17
+Style/IfUnlessModifier:
18
+  Exclude:
19
+    - 'recipes/create_network.rb'
20
+
21
+# Offense count: 33
22
+# Configuration parameters: AllowHeredoc, AllowURI, URISchemes, IgnoreCopDirectives, IgnoredPatterns.
23
+# URISchemes: http, https
24
+Metrics/LineLength:
25
+  Max: 127

+ 6
- 6
metadata.rb View File

@@ -4,7 +4,7 @@ maintainer_email 'openstack-dev@lists.openstack.org'
4 4
 license          'Apache-2.0'
5 5
 description      'Installs and configures the Tempest Integration Test Suite'
6 6
 long_description IO.read(File.join(File.dirname(__FILE__), 'README.md'))
7
-version          '17.0.0'
7
+version          '18.0.0'
8 8
 
9 9
 recipe 'openstack-integration-test::setup', 'Installs and configures Tempest'
10 10
 
@@ -12,11 +12,11 @@ recipe 'openstack-integration-test::setup', 'Installs and configures Tempest'
12 12
   supports os
13 13
 end
14 14
 
15
-depends 'openstack-common', '>= 17.0.0'
16
-depends 'openstack-identity', '>= 17.0.0'
17
-depends 'openstack-image', '>= 17.0.0'
18
-depends 'openstack-compute', '>= 17.0.0'
19
-depends 'openstack-block-storage', '>= 17.0.0'
15
+depends 'openstack-common', '>= 18.0.0'
16
+depends 'openstack-identity', '>= 18.0.0'
17
+depends 'openstack-image', '>= 18.0.0'
18
+depends 'openstack-compute', '>= 18.0.0'
19
+depends 'openstack-block-storage', '>= 18.0.0'
20 20
 depends 'openstackclient'
21 21
 
22 22
 depends 'poise-python'

Loading…
Cancel
Save